package com.cpms.project.process.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.cpms.project.process.mapper.TValveCsocscMapper;
import com.cpms.project.process.domain.TValveCsocsc;
import com.cpms.project.process.service.ITValveCsocscService;

/**
 * 阀门铅封开关状态记录Service业务层处理
 * 
 * @author admin
 * @date 2024-04-11
 */
@Service
public class TValveCsocscServiceImpl implements ITValveCsocscService 
{
    @Autowired
    private TValveCsocscMapper tValveCsocscMapper;

    /**
     * 查询阀门铅封开关状态记录
     * 
     * @param id 阀门铅封开关状态记录主键
     * @return 阀门铅封开关状态记录
     */
    @Override
    public TValveCsocsc selectTValveCsocscById(Long id)
    {
        return tValveCsocscMapper.selectTValveCsocscById(id);
    }

    /**
     * 查询阀门铅封开关状态记录列表
     * 
     * @param tValveCsocsc 阀门铅封开关状态记录
     * @return 阀门铅封开关状态记录
     */
    @Override
    public List<TValveCsocsc> selectTValveCsocscList(TValveCsocsc tValveCsocsc)
    {
        return tValveCsocscMapper.selectTValveCsocscList(tValveCsocsc);
    }

    /**
     * 新增阀门铅封开关状态记录
     * 
     * @param tValveCsocsc 阀门铅封开关状态记录
     * @return 结果
     */
    @Override
    public int insertTValveCsocsc(TValveCsocsc tValveCsocsc)
    {
        return tValveCsocscMapper.insertTValveCsocsc(tValveCsocsc);
    }

    /**
     * 修改阀门铅封开关状态记录
     * 
     * @param tValveCsocsc 阀门铅封开关状态记录
     * @return 结果
     */
    @Override
    public int updateTValveCsocsc(TValveCsocsc tValveCsocsc)
    {
        return tValveCsocscMapper.updateTValveCsocsc(tValveCsocsc);
    }

    /**
     * 批量删除阀门铅封开关状态记录
     * 
     * @param ids 需要删除的阀门铅封开关状态记录主键
     * @return 结果
     */
    @Override
    public int deleteTValveCsocscByIds(Long[] ids)
    {
        return tValveCsocscMapper.deleteTValveCsocscByIds(ids);
    }

    /**
     * 删除阀门铅封开关状态记录信息
     * 
     * @param id 阀门铅封开关状态记录主键
     * @return 结果
     */
    @Override
    public int deleteTValveCsocscById(Long id)
    {
        return tValveCsocscMapper.deleteTValveCsocscById(id);
    }
}
